import Footer from "@/components/Footer";
import HeaderBack from "@/components/HeaderBack";

import { getMessages } from "next-intl/server";
import { ReactNode } from "react";
export default async function LocaleLayout({
    children,
    params: { locale },
}: {
    children: ReactNode;
    params: { locale: string };
}) {
    const messages = await getMessages();
    return (
        <div style={{width:'100%', height:'100vh', display: 'flex', flexDirection:'column'}}>
            <HeaderBack showBack={false}/>
            {children}
            <Footer />
        </div>
    );
}
