"use client";
import { ChangeEvent, FC, PropsWithChildren, useMemo, useState } from "react";
import clsx from "clsx";
import Link from "next/link";
import "./style.scss";

/**
 * @description 列表组件
 * @param {string} type 使用类型
 * @param {(params: any) => void} callbackFun 回调方法
 */
export interface ItemComProps {
    type?: string;
    callbackFun?: (params: any) => void;
}

const ItemCom: FC<PropsWithChildren<ItemComProps>> = ({type = 'login', callbackFun}) => {

    let amountList: any[] = []

    return (
        <ul className="itemCom-box">
            {
                amountList.map((item, index) => (
                    <li className={index==0?'free':''} key={index}>
                        <div className="content"> Afiliado - Ganhe R$ 10.000 por dia | 9F.COM 
                            <span data-v-5c42ece6="" className="iconfont icon-hot"></span>
                            <div data-v-5c42ece6=""></div>
                        </div>
                        <div><span className="iconfont icon-xiangyou1"></span></div>
                    </li>
                ))
            }
        </ul>
    );
};

export default ItemCom;
