"use client";
import { getFindPwdApi } from "@/api/user";
import ButtonOwn from "@/components/ButtonOwn";
import DomainFooter from "@/components/DomainFooter";
import HeaderBack from "@/components/HeaderBack";
import { useRouter } from "@/i18n";
import { Toast } from "antd-mobile";
import { useSearchParams } from "next/navigation";
import { FC, useEffect, useMemo, useState } from "react";
import { getSendCodeApi } from "@/api/user";
import "./page.scss";
import { useGlobalStore } from "@/stores";

interface Props {}

const ResetPhone: FC<Props> = () => {
    const router: any = useRouter();

    let searchParams = useSearchParams();
    let user_phone = searchParams.get("userPhone");
    let code = searchParams.get("code");

    let [fromParam, setFromParam] = useState({
        pwd: "",
        againPwd: "",
    });

    let alter = searchParams.get("alter");
    const sendCodeRequest = () => {
        if (!user_phone) return;
        getSendCodeApi({ user_phone }).then((res) => {
            if (res.code == 200) {
                return;
            }
            setMsgError(res.msg);
        });
    };
    useEffect(() => {
        alter && sendCodeRequest()
        // eslint-disable-next-line react-hooks/exhaustive-deps
    },[alter])

    const setInputVal = (e: { target: { name: any; value: any } }) => {
        const { name, value } = e.target;
        setFromParam({
            ...fromParam,
            [name]: value,
        });
    };

    const verifyPwd = (e: any) => {
        let pwd = e.target.value || "";
        pwd.replaceAll(/[^a-zA-Z0-9_-]/g, "");
        setFromParam({ ...fromParam, pwd });
    };

    const activeCls = useMemo(() => {
        let { pwd, againPwd } = fromParam;
        if (pwd && againPwd && pwd.length == againPwd.length) {
            return true;
        }
        return false;
    }, [fromParam]);

    const { setToken, setUserInfo } = useGlobalStore();
    let [msgError, setMsgError] = useState("");
    const findPwdRequest = () => {
        let { pwd, againPwd } = fromParam;
        if (pwd && againPwd && pwd != againPwd) {
            setMsgError("两次输入的密码不相同");
            return true;
        }
        getFindPwdApi({ user_phone, code, pwd }).then((res) => {
            if (res.code == 200) {
                Toast.show({ icon: "success", content: "修改成功", maskClickable: false });
                setUserInfo('')
                setToken('')
                setTimeout(() => {
                    router.replace("/login");
                }, 1000);
                setMsgError(res.msg && res.msg!='ok' ? res.msg : "");
            }
        });
    };

    return (
        <div className="confirmPassword-box">
            <HeaderBack />
            <div className="main">
                <div className="title">
                    <h2>Mudar a Contrasinha</h2>
                    {/* <div>修改密码 {user_phone}</div> */}
                </div>
                <div className="phoneInput">
                    <input
                        name="pwd"
                        type="password"
                        value={fromParam.pwd}
                        onChange={setInputVal}
                        onInput={verifyPwd}
                        placeholder="Por favor, introduz uma nova senha"
                        maxLength={12}
                    />
                </div>
                <div className="phoneInput">
                    <input
                        name="againPwd"
                        type="password"
                        value={fromParam.againPwd}
                        onChange={setInputVal}
                        placeholder="Por favor, introduz a nova senha novamente"
                        maxLength={12}
                    />
                </div>
                {msgError && <div className="tips"> {msgError} </div>}
                <div className="btnContent">
                    <ButtonOwn active={activeCls} callbackFun={findPwdRequest}>
                        Completar
                    </ButtonOwn>
                </div>
            </div>
            <DomainFooter />
        </div>
    );
};

export default ResetPhone;
