"use server";
import { GroupType } from "@/api/home";
import HomeActions from "@/app/[locale]/_home/HomeActions";
import HomeTabs from "@/app/[locale]/_home/HomeTabs";
import Box from "@/components/Box";
import Layout from "@/components/Layout";
import HomeCard from "./_home/HomeCard";
import HomeGames from "./_home/HomeGames";
import HomeSearch from "./_home/HomeSearch";
import HomeSwiper from "./_home/HomeSwiper";

const BASE_URL = process.env.NEXT_PUBLIC_BASE_URL;

const getGames = async (): Promise<GroupType[]> => {
    const data = await fetch(`${BASE_URL}/v1/api/front/game_list`, {
        method: "POST",
        body: JSON.stringify({}),
        cache: "no-cache",
    }).then((res) => res.json()).catch((err) => console.error(err));
    console.log('dasdasd',data?.data[0].category)
    return data?.data || [];
};
export default async function Page() {
    const group: GroupType[] = await getGames();
    console.count("pages - render");
    return (
        <Layout>
            <>
                <Box>
                    <HomeSwiper></HomeSwiper>
                    <HomeCard></HomeCard>
                </Box>
                <Box className={"pb-[0.0394rem]"}>
                    <HomeSearch />
                </Box>
                <Box className={"pt-0"}>
                    <HomeTabs />
                </Box>
                {/*todo HomeTabs*/}
                {group.map((item) => {
                    return <HomeGames groupGames={item.category} key={item.category_name} />;
                })}
                <Box>
                    <HomeActions />
                </Box>
            </>
        </Layout>
    );
}
